#!/bin/bash
# Shows the differences between Arch's original `archiso` template named `releng` and this `archiso` directory.
pushd "${BASH_SOURCE%/*}" > /dev/null;
. ./template-path.sh;
{
    contextRoot="$(mktemp -d)";
    rm -rf "$contextRoot";
    cp -r "$(templatePath)" "$contextRoot";
    chmod -R 755 "$contextRoot";
    git init "$contextRoot";

    pushd "$contextRoot" > /dev/null;
    git add .;
    popd > /dev/null;

    rsync -r --exclude={.git,.gitignore,README.md,scripts,LICENSE,out,valhalla.patch,work} .. "$contextRoot"
} 2>&1 > /dev/null;

pushd "$contextRoot" > /dev/null;
git diff;
popd > /dev/null;
popd > /dev/null;
