{ ... }:
  let
    fs = import ./partition/fs.nix;
  in {
    imports = [
      ./partition/disks.nix
    ];

    config = {
      partition = {
        os = {
          partitions = {
            Boot = {
              index = 1;
              type = "uefi";
              size = "+1G";
              format = fs.fat32;
              mountPoint = "/boot";
            };

            Swap = {
              index = 2;
              type = "swap";
            };

            OS = {
              index = 3;
              type = "linux";
              format = fs.ext4;
              mountPoint = "/";
            };
          };
        };
      };
    };
  }
